Bug 187596 - [MAINTAINER] dns/nsd: update to 4.0.3
Summary: [MAINTAINER] dns/nsd: update to 4.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-14 22:30 UTC by Jaap Akkerhuis
Modified: 2014-03-24 13:00 UTC (History)
1 user (show)

See Also:


Attachments
nsd-4.0.3.patch (2.19 KB, patch)
2014-03-14 22:30 UTC, Jaap Akkerhuis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2014-03-14 22:30:00 UTC
- Update to 4.0.3

Fixes two memory leaks that would build up after repeated zone
content loads.

By default the use of the syscalls recvmmsg and sendmmsg is disabled,
they give too much issues, e.g. endless loops with errors or failure to
use IPv6. They can be enabled at compile time.

Nonhosted zones get the REFUSED rcode instead of SERVFAIL. This is
copied from other authority servers, so that there is identical wire
performance. 

Checks for clean exit on stop (this could take some time if it waits
for internal tasks) as well as check for clean-previous-exit on
startup and rebuilds nsd.db if needed.

Generated with FreeBSD Port Tools 1.00.2014.03.03 (mode: update, diff: SVN)
Comment 1 Guido Falsi freebsd_committer 2014-03-23 12:05:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-03-24 12:55:30 UTC
Author: madpilot
Date: Mon Mar 24 12:55:26 2014
New Revision: 348987
URL: http://svnweb.freebsd.org/changeset/ports/348987
QAT: https://qat.redports.org/buildarchive/r348987/

Log:
  - Update to 4.0.3
  
  PR:		ports/187596
  Submitted by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)

Modified:
  head/dns/nsd/Makefile
  head/dns/nsd/distinfo
  head/dns/nsd/files/nsd.in

Modified: head/dns/nsd/Makefile
==============================================================================
--- head/dns/nsd/Makefile	Mon Mar 24 12:53:05 2014	(r348986)
+++ head/dns/nsd/Makefile	Mon Mar 24 12:55:26 2014	(r348987)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	nsd
-PORTVERSION=	4.0.1
-PORTREVISION=	3
+PORTVERSION=	4.0.3
 CATEGORIES=	dns ipv6
 MASTER_SITES=	http://www.nlnetlabs.nl/downloads/nsd/	\
 		ftp://ftp.rhnet.is/pub/nsd/
@@ -45,9 +44,10 @@ PORTDOCS=	CREDITS ChangeLog LICENSE NSD-
 		differences.tex
 
 OPTIONS_DEFINE=		ROOT_SERVER LARGEFILE IPV6 BIND8_STATS CHECKING \
-		MINRESPSIZE NSEC3 NSEC3PREHASH MMAP MAXIPS DOCS RRL EUI_RRTYPES
+		MINRESPSIZE NSEC3 NSEC3PREHASH MMAP MAXIPS DOCS RRL EUI_RRTYPES \
+		RECVMMSG
 OPTIONS_DEFAULT=	LARGEFILE IPV6 NSEC3 NSEC3PREHASH MINRESPSIZE RRL \
-		 EUI_RRTYPES
+		EUI_RRTYPES
 
 ROOT_SERVER_DESC=	Configure as a root server
 LARGEFILE_DESC=		Largefile support
@@ -60,6 +60,7 @@ MMAP_DESC=		Use mmap instead of malloc (
 MAXIPS_DESC=		Raise max-ips from 8 to ${NSDMAX_IPS}
 RRL_DESC=		Response Rate Limiting
 EUI_RRTYPES_DESC=	EUI48 and EUI64 RRtypes support
+RECVMMSG_DESC=		Enable use of recvmmsg and sendmmsg
 
 LIB_DEPENDS+=	libevent-1.4.so:${PORTSDIR}/devel/libevent
 
@@ -75,6 +76,7 @@ MMAP_CONFIGURE_ENABLE=		mmap
 MAXIPS_CONFIGURE_ON=		--with-max-ips=${NSDMAX_IPS}
 RRL_CONFIGURE_ENABLE=		ratelimit
 EUI_RRTYPES_CONFIGURE_ENABLE=	draft-rrtypes
+RECVMMSG_CONFIGURE_ENABLE=	enable-recvmmsg
 
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/nsd.conf.sample \

Modified: head/dns/nsd/distinfo
==============================================================================
--- head/dns/nsd/distinfo	Mon Mar 24 12:53:05 2014	(r348986)
+++ head/dns/nsd/distinfo	Mon Mar 24 12:55:26 2014	(r348987)
@@ -1,2 +1,2 @@
-SHA256 (nsd-4.0.1.tar.gz) = 45bf2adb5ceddc140eab36b8de9fa527175b77559662df1383ef22ccf097d1bd
-SIZE (nsd-4.0.1.tar.gz) = 1040758
+SHA256 (nsd-4.0.3.tar.gz) = 4bf05f2234e1b41899198aa1070f409201fc3c4980feef6567cd92c7074c4a8b
+SIZE (nsd-4.0.3.tar.gz) = 1043993

Modified: head/dns/nsd/files/nsd.in
==============================================================================
--- head/dns/nsd/files/nsd.in	Mon Mar 24 12:53:05 2014	(r348986)
+++ head/dns/nsd/files/nsd.in	Mon Mar 24 12:55:26 2014	(r348987)
@@ -12,17 +12,18 @@
 # nsd_enable="YES"
 #
 
-: ${nsd_enable="NO"}
-
 . /etc/rc.subr
 
 name=nsd
 rcvar=nsd_enable
 
+# read settings, set default values
+load_rc_config "${name}"
+: ${nsd_enable="NO"}
+
 config=${nsd_config:=%%PREFIX%%/etc/nsd/nsd.conf}
 required_files=${config}
 pidfile=`%%PREFIX%%/sbin/nsd-checkconf -o pidfile ${config}`
-
 command="%%PREFIX%%/sbin/${name}"
 command_args="-c ${required_files}"
 extra_commands="reload"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Guido Falsi freebsd_committer 2014-03-24 12:55:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!